declare const highlightStrategy: {
    readonly WHOLE_WORD_MATCH: "wholeWordMatch";
    readonly PARTIAL_MATCH: "partialMatch";
    readonly PARTIAL_MATCH_FULL_WORD: "partialMatchFullWord";
};
type HighlightStrategy = (typeof highlightStrategy)[keyof typeof highlightStrategy];
interface HighlightOptions {
    caseSensitive?: boolean;
    strategy?: HighlightStrategy;
    HTMLTag?: string;
    CSSClass?: string;
}
type Position = {
    start: number;
    end: number;
};
type Positions = Position[];
declare class Highlight {
    private readonly options;
    private _positions;
    private _HTML;
    private _searchTerm;
    private _originalText;
    constructor(options?: HighlightOptions);
    highlight(text: string, searchTerm: string): Highlight;
    trim(trimLength: number, ellipsis?: boolean): string;
    get positions(): Positions;
    get HTML(): string;
    private escapeRegExp;
}

export { Highlight, HighlightOptions, HighlightStrategy, Position, highlightStrategy };
